SDL_SetHapticAutocenter(3)

NAME
SDL_SetHapticAutocenter - Set the global autocenter of the device.

SYNOPSIS
#include <SDL3/SDL_haptic.h>

bool SDL_SetHapticAutocenter(SDL_Haptic *haptic, int autocenter);

DESCRIPTION
Autocenter should be between 0 and 100. Setting it to 0 will disable autocentering.

Device must support the SDL_HAPTIC_AUTOCENTER feature.

FUNCTION PARAMETERS

haptic
    the SDL_Haptic device to set autocentering on.

autocenter
    value to set autocenter to (0-100).

RETURN VALUE
Returns true on success or false on failure; call SDL_GetError() for more information.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_GetHapticFeatures(3)